/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Segoe UI", sans-serif;
}

/* Page background */
body {
    height: 100vh;
    background: linear-gradient(135deg, #4f46e5, #9333ea);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

/* Heading */


/* Form card */
form {
    background: #fff;
    width: 450px;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 15px 35px rgba(0,0,0,0.25);
}
h2 {
    color: #fff;
    margin-bottom: 20px;
    font-size: 28px;
    /* padding:25px; */
}

/* Labels */
label {
    display: block;
    margin-bottom: 6px;
    font-weight: 700;
    font-size: larger;
    text-align: center;
    
}

/* Inputs */
input {
    width: 100%;
    padding: 12px;
    border-radius: 6px;
    border: 1px solid #d1d5db;
    font-size: 14px;
    margin-bottom: 18px;
}

input:focus {
    outline: none;
    border-color: #6366f1;
}

/* Password wrapper */
.password-box {
    position: relative;
}

/* Eye icon */
.eye {
    position: absolute;
    right: 12px;
    top: 30%;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 26px;   /* 👁 BIGGER */
}


/* Button */
button {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 6px;
    background: #4f46e5;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}

button:hover {
    background: #4338ca;
}

/* 📱 Mobile Media Query */
@media (max-width: 480px) {

    form {
        width: 90%;
        padding: 25px;
    }

    h2 {
        font-size: 22px;
    }

    input {
        font-size: 13px;
    }

    button {
        font-size: 14px;
    }
}
